Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-6090

Upgrade the Scala recommendation to 2.12

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

      Currently, the download page contains for the latest Kafka version (0.11.0.1):

      We build for multiple versions of Scala. This only matters if you are using Scala and you want a version built for the same Scala version you use. Otherwise any version should work (2.11 is recommended).

      Scala 2.11 is not supported anymore. Version 2.11.11 (released 6 months ago) indicates:

      The 2.11.11 release concludes the 2.11.x series, with no further releases planned. Please consider upgrading to 2.12!

      So it seems it is time to recommend 2.12 for Kafka usage and (soon) start to build for Scala 2.13...

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              lionel.cons Lionel Cons
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: